<template>
  <div class="app-container">
    <el-row class="row">
      <el-col>
        <el-input v-model="formData.title" class="input" placeholder="請輸入公告標題" />
      </el-col>
    </el-row>
    <el-row class="row">
      <el-col>
        <el-input
          v-model="formData.bulletin"
          class="input"
          type="textarea"
          :autosize="{ minRows: 2, maxRows: 4}"
          placeholder="請輸入公告內容"
        />
      </el-col>
    </el-row>
    <el-row class="row">
      <el-col>
        <el-button type="primary" @click="broadcastAction">公告</el-button>
      </el-col>
    </el-row>
  </div>
</template>
<script>
import { broadcast } from './action'
export default {
  data() {
    return {
      formData: {
        title: '',
        bulletin: ''
      }
    }
  },
  methods: {
    broadcastAction: function() {
      broadcast(this.formData).then(res => {
        if (res.status === 'OK') {
          console.log('成功!')
        }
      })
    }
  }
}
</script>
<style scoped>
.input {
  max-width: 500px;
}
.row {
  margin: 5px 0px 5px 0px;
}
</style>
